﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=8.5
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: True
#End Region

Sub Process_Globals
	Private nid As Int = 1
	'Private GPS As GPS
	Private Tracking As Boolean
	Private LastUpdateTime As Long
	Private lock As PhoneWakeState
End Sub

Sub Service_Create
	Service.AutomaticForegroundMode = Service.AUTOMATIC_FOREGROUND_NEVER 'we are handling it ourselves
	
	lock.PartialLock
End Sub

Sub Service_Start (StartingIntent As Intent)
	Service.StartForeground(nid, CreateNotification("..."))
	StartServiceAt(Me, DateTime.Now + 30 * DateTime.TicksPerMinute, True)
	Log(DateTime.Now)
	
	Track
End Sub

Public Sub Track
	
	'If DateTime.Now > LastUpdateTime + 10 * DateTime.TicksPerSecond Then
		Dim n As Notification = CreateNotification("pippo " & LastUpdateTime)
		n.Notify(nid)
		LastUpdateTime = DateTime.Now
		Log(LastUpdateTime)
		
	'End If
End Sub



Sub CreateNotification (Body As String) As Notification
	Dim notification As Notification
	notification.Initialize2(notification.IMPORTANCE_LOW)
	notification.Icon = "icon"
	'notification.Sound=True
	'Sleep(10)
	'notification.Vibrate=True
	notification.SetInfo("Notifica", Body, Main)
	
	
	Return notification
End Sub

Sub Service_Destroy
	If Tracking Then
		'GPS.Stop
	End If
	Tracking = False
	lock.ReleasePartialLock
End Sub
