﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=8.5
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: True
#End Region

Sub Process_Globals
	Private nid As Int = 1
	
	Private Tracking As Boolean
	Private LastUpdateTime As Long
	Private lock As PhoneWakeState
	
	Dim Timer1 As Timer
	
End Sub

Sub Service_Create
	
	Timer1.Initialize ("Timer1",30000)
	Timer1.Enabled = True
	'Service.AutomaticForegroundMode = Service.AUTOMATIC_FOREGROUND_NEVER 'we are handling it ourselves
	Service.AutomaticForegroundMode = Service.AUTOMATIC_FOREGROUND_WHEN_NEEDED
	
	lock.PartialLock
End Sub

Sub Service_Start (StartingIntent As Intent)
	Service.StartForeground(nid, CreateNotification("..."))
	StartServiceAt(Me, DateTime.Now + 30 * DateTime.TicksPerMinute, True)
	Log(DateTime.Now)
	
	
End Sub

Public Sub Track
	
	If DateTime.Now > LastUpdateTime + 10 * DateTime.TicksPerSecond Then
		LastUpdateTime = DateTime.Now
		Dim DatConvertita As String =ConvertMillisecondsToString(LastUpdateTime)
		Dim Dataintera = DateTime.Date(DateTime.Now)
		
		Dim n As Notification = CreateNotification("pippo "   & Dataintera  & " "& DatConvertita)
		n.Notify(nid)
		'LastUpdateTime = DateTime.Now
		Log(DatConvertita)
		Log(Dataintera)
		
	End If
End Sub



Sub CreateNotification (Body As String) As Notification
	Dim notification As Notification
	notification.Initialize2(notification.IMPORTANCE_LOW)
	notification.Icon = "icon"
	'notification.Sound=True
	'notification.Vibrate=True
	notification.SetInfo("Notifica", Body, Main)
	
	
	Return notification
End Sub

Sub ConvertMillisecondsToString(t As Long) As String
	Dim hours, minutes, seconds As Int
	'hours = (t/ DateTime.TicksPerHour) ' originale erel ma non funzionano le ore
	hours = (t / (1000 * 60 * 60)) / 24000' by lorenzo
	minutes = (t Mod DateTime.TicksPerHour) / DateTime.TicksPerMinute
	seconds = (t Mod DateTime.TicksPerMinute) / DateTime.TicksPerSecond
		
	
	
	Return $"$1.0{hours}:$2.0{minutes}:$2.0{seconds}"$
End Sub


Sub Service_Destroy
	If Tracking Then
		'GPS.Stop
	End If
	Tracking = False
	lock.ReleasePartialLock
End Sub

Sub Timer1_Tick
	Track
	Log("sono nel timer")
End Sub
